# This file is managed by gitlab-ctl. Manual changes will be
# erased! To change the contents below, edit /etc/gitlab/gitlab.rb
# and run `sudo gitlab-ctl reconfigure`.

if Rails.env.production?
  Gitlab::Application.config.action_mailer.delivery_method = :smtp

  ActionMailer::Base.smtp_settings = {
    authentication: <%= @smtp_authentication.to_s.to_sym.inspect %>,
<% %w{ address port user_name password domain enable_starttls_auto }.each do |key| %>
  <% if value = node['gitlab']['gitlab-rails']["smtp_#{key}"] %>
    <%= "#{key}: #{value.inspect}," %>
  <% end %>
<% end %>
  }
end
